رفتن به مطلب
برای استفاده از انجمن و عضـویت کلیک کنید.
SoRoUsH

مشکل در متریال B4A

پست های پیشنهاد شده

SoRoUsH    8

گروه دانشجو

سلام دوستان من تمام فایل های مربوط به کار با متریال رو انجام دادم...فایل های توی sdk ,appcompact , lib haye basic , resource  و...

اما یه 4 تا فایل xml داخل پوشه valiues-21 که توی suppurt/v7 هست رو میگه نیست! درحالی که خودم چک کردم بودن! اینم عکس:

lo.png

 

حالا یکی گفت بیا و از توی manifest 

api 21 یا 23 بذار ، این ها کدایه منیفستمه ، اصلا api نیست توش که!

'This code will be applied to the manifest file during compilation.
'You do not need to modify it in most cases.
'See this link for for more information: http://www.basic4ppc.com/forum/showthread.php?p=78136
AddManifestText(
<uses-sdk android:minSdkVersion="7" android:targetSdkVersion="21"/>
<supports-screens android:largeScreens="true" 
    android:normalScreens="true" 
    android:smallScreens="true" 
    android:anyDensity="true"/>)
SetApplicationAttribute(android:icon, "@drawable/icon")
SetApplicationAttribute(android:label, "$LABEL$")
'End of default text.

SetApplicationAttribute(android:theme, "@style/MyAppTheme")
'SetApplicationAttribute(android:theme, "@style/Theme.AppCompat")

به اشتراک گذاری این ارسال


لینک به ارسال
شایان آباد    6,141

بنیان گذار و مدیر فنی

درود

منظورشون این خط هست

<uses-sdk android:minSdkVersion="7" android:targetSdkVersion="21"/>
  • پسندیدم 1

به اشتراک گذاری این ارسال


لینک به ارسال
شایان آباد    6,141

بنیان گذار و مدیر فنی

درود

برای متریال این کد خوبه

البته باید sdk شما کامل باشه

که در قسمت ابزار ها تمامی sdk کامل قرار گرفته است

<uses-sdk android:minSdkVersion="14" android:targetSdkVersion="23"/>

به اشتراک گذاری این ارسال


لینک به ارسال
شهاب اسکندری    47

گروه دانشجو

سلام

بهتره که فایل های api 21 رو بگیرید

بریزید توی پوشه پلتفرم تولز

و ادرس رو از configure path توی بیسیک، به این فایل های جدید بدید

خودش خودکار انجام میده این کارو

کد شایان هم درسته اما بهتره دست نزنید به مانیفستتون

به اشتراک گذاری این ارسال


لینک به ارسال
milad    7

گروه دانشجو

سلام من از کتابخانه اپ کامپت 1.10 استفاده می کنم در b4a V6.0 و هیچ مشکلی ندارم ولی وقتی برنامه اجرا میشه فروس کلوز میده

به اشتراک گذاری این ارسال


لینک به ارسال
شایان آباد    6,141

بنیان گذار و مدیر فنی

سلام من از کتابخانه اپ کامپت 1.10 استفاده می کنم در b4a V6.0 و هیچ مشکلی ندارم ولی وقتی برنامه اجرا میشه فروس کلوز میده

 

این تاپیک مال 6 ماه پیش هست دوست عزیز

تاپیک جدااگانه بزنید

تاپیک قفل شد + موفق باشید

  • پسندیدم 1

به اشتراک گذاری این ارسال


لینک به ارسال
مهمان
این موضوع برای عدم ارسال قفل گردیده است.

  • کاربران آنلاین در این صفحه   0 کاربر

    هیچ کاربر عضوی،در حال مشاهده این صفحه نیست.

×